com.rscja.utility

## Class NumberTool

- java.lang.Object
- - com.rscja.utility.NumberTool

-     public class NumberTool
      extends java.lang.Object

  数字工具类
  Author:
    WuShengjun

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NumberTool()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static double` | `getPointDouble(int point, double val)` 保留指定位数小数的double值
    `static double` | `getPointDouble(int point, int val)` 保留指定位数小数的double值
    `static double` | `getPointDouble(int point, long val)` 保留指定位数小数的double值
    `static double` | `getPointDouble(int point, java.lang.String val)` 保留指定位数小数的double值
    `static float` | `getPointFloat(int point, float val)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NumberTool

          public NumberTool()

  - ### Method Detail

    - #### getPointDouble

          public static double getPointDouble(int point,
                                              double val)

      保留指定位数小数的double值
      Parameters:
        `point` - 保留几位小数
        `val` - 需转换值
      Returns:

    - #### getPointDouble

          public static double getPointDouble(int point,
                                              int val)

      保留指定位数小数的double值
      Parameters:
        `point` - 保留几位小数
        `val` - 需转换值
      Returns:

    - #### getPointDouble

          public static double getPointDouble(int point,
                                              long val)

      保留指定位数小数的double值
      Parameters:
        `point` - 保留几位小数
        `val` - 需转换值
      Returns:

    - #### getPointDouble

          public static double getPointDouble(int point,
                                              java.lang.String val)

      保留指定位数小数的double值
      Parameters:
        `point` - 保留几位小数
        `val` - 需转换值
      Returns:

    - #### getPointFloat

          public static float getPointFloat(int point,
                                            float val)